SVNKit Home

## org.tmatesoft.svn.core.io
Interface ISVNWorkspaceMediator

public interface ISVNWorkspaceMediator

The ISVNWorkspaceMediator interface is used for temporary data storage (mainly instructions and new text data for deltas) as well as for caching and getting some kind of wcprops.

Version:
  1.1.1
Author:
  TMate Software Ltd.
See Also:
  `SVNRepository.getCommitEditor(String, Map, boolean, ISVNWorkspaceMediator)`, Examples

Method Summary
`String` `getWorkspaceProperty(String path, String name)` Retrieves an item's WC property from a `".svn/wcprops"` administrative subdirectory.
`void` `setWorkspaceProperty(String path, String name, String value)` Sets a new value for an item's WC property in a `".svn/wcprops"` administrative subdirectory.

Method Detail

### getWorkspaceProperty

    public String getWorkspaceProperty(String path,
                                       String name)
                                throws SVNException

  Retrieves an item's WC property from a `".svn/wcprops"` administrative subdirectory.

  Parameters:
    `path` - a WC item's path
    `name` - a propery name
  Returns:
    the value for the property
  Throws:
    `SVNException`
  See Also:
    `setWorkspaceProperty(String, String, String)`

### setWorkspaceProperty

    public void setWorkspaceProperty(String path,
                                     String name,
                                     String value)
                              throws SVNException

  Sets a new value for an item's WC property in a `".svn/wcprops"` administrative subdirectory.

  Parameters:
    `path` - a WC item's path
    `name` - a propery name
    `value` - a value for the property
  Throws:
    `SVNException`
  See Also:
    `getWorkspaceProperty(String, String)`

SVNKit Home

Copyright © 2004-2008 TMate Software Ltd. All Rights Reserved.